## ros-foxy-test-launch-system-modes 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(test_launch_system_modes)

# find dependencies
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # remove the line when a copyright and license is present in all source files
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  find_package(launch_testing_ament_cmake REQUIRED)
  file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/test_modes.yaml" MODELFILE)
  file(TO_CMAKE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/test/expected_output" EXPECTED_OUTPUT)

  # Test launch actions, events, and event handlers with a node
  configure_file(
      "test/node_test.launch.py.in"
      "test/node_test.launch.py"
      @ONLY
    )
  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test/node_test.launch.py"
    TARGET "node_test"
    TIMEOUT 30
    ENV)

  # Test launch actions, events, and event handlers with a system
  configure_file(
      "test/system_test.launch.py.in"
      "test/system_test.launch.py"
      @ONLY
    )
  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test/system_test.launch.py"
    TARGET "system_test"
    TIMEOUT 30
    ENV)
endif()

ament_export_include_directories(include)
ament_export_libraries(mode)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclcpp_lifecycle)
ament_export_dependencies(lifecycle_msgs)
ament_export_dependencies(system_modes_msgs)
ament_package()

=== debian/changelog ===
ros-foxy-test-launch-system-modes (0.9.0-1focal) focal; urgency=high

  * More flexibility in specifying the default mode, any mode can be now default mode
    https://github.com/micro-ROS/system_modes/issues/69

 -- Arne Nordmann <arne.nordmann@bosch.com>  Mon, 20 Jul 2020 22:00:00 -0000

ros-foxy-test-launch-system-modes (0.8.0-1focal) focal; urgency=high

  * Launch integration, i.e. launch actions, events, and event handlers for system modes

 -- Arne Nordmann <arne.nordmann@bosch.com>  Tue, 21 Apr 2020 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-test-launch-system-modes
Section: misc
Priority: optional
Maintainer: Arne Nordmann <arne.nordmann@bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-flake8, ros-foxy-ament-cmake-pep257, ros-foxy-ament-index-python, ros-foxy-ament-lint-auto, ros-foxy-builtin-interfaces, ros-foxy-launch-system-modes, ros-foxy-launch-testing-ament-cmake, ros-foxy-launch-testing-ros, ros-foxy-lifecycle-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-system-modes, ros-foxy-system-modes-examples, ros-foxy-system-modes-msgs, ros-foxy-ros-workspace
Homepage: https://micro.ros.org/docs/concepts/client_library/lifecycle_and_system_modes/
Standards-Version: 3.9.2

Package: ros-foxy-test-launch-system-modes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-launch-system-modes, ros-foxy-lifecycle-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-system-modes, ros-foxy-system-modes-examples, ros-foxy-system-modes-msgs, ros-foxy-ros-workspace
Description: Launch tests for the launch_system_modes package, i.e.
 launch actions, events, and event handlers for system modes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-test-launch-system-modes//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
